## org.hamcrest.core
Class CombinableMatcher.CombinableBothMatcher<X>

    java.lang.Object
      org.hamcrest.core.CombinableMatcher.CombinableBothMatcher<X>

Enclosing class:
  CombinableMatcher<T>

    public static final class CombinableMatcher.CombinableBothMatcher<X>

extends Object

Constructor Summary
`CombinableMatcher.CombinableBothMatcher(Matcher<? super X> matcher)`

Method Summary
`CombinableMatcher<X>` `and(Matcher<? super X> other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinableMatcher.CombinableBothMatcher

    public CombinableMatcher.CombinableBothMatcher(Matcher<? super X> matcher)

Method Detail

### and

    public CombinableMatcher<X> and(Matcher<? super X> other)

Copyright © 2002–2020 JUnit. All rights reserved.